import * as __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__ from "@tachybase/test/e2e";
import * as __WEBPACK_EXTERNAL_MODULE__templatesOfBug_mjs__ from "../templatesOfBug.mjs";
(0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.test)('in the Duplicate mode, the Roles field should not have a value after clicking it because it is not selected', async (param)=>{
    let { page, mockPage } = param;
    await mockPage(__WEBPACK_EXTERNAL_MODULE__templatesOfBug_mjs__.T2187).goto();
    await page.getByLabel('action-Action.Link-Duplicate-duplicate-users-table-0').click();
    await (0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.expect)(page.getByRole('textbox')).toHaveValue('Super Admin');
    await (0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.expect)(page.getByTestId('select-object-multiple')).toHaveText('');
});
